#delimit ;
set more off;

local derivedvarsdir "P:\ELSA\archiving\derivedvars\final\";
local textdir "P:\ELSA\Reporttables\Wave8\crosssectionaltables\textfiles";

local temptables;
forval i = 1/12 {;
local temptables `temptables' table`i'a table`i'b table`i'c table`i'd table`i'ba table`i'bb table`i'bc table`i'bd table`i'e table`i'f table`i'g table`i'h;
};

tempfile `temptables';

foreach W in 1 2 3 4 5 6 7 8 {;

use `derivedvarsdir'\derivedvarsw`W',replace;
drop if age<55;
local numagegroupsdropped = 1;

/*taken from this series
 https://www.ons.gov.uk/economy/inflationandpriceindices/adhocs/008572consumerpriceindicesseriesexcludingrentsmaintenancerepairsandwaterchargesfortheperiodjanuary1996toapril2018*/

gen cpiplusJan2011 = 91.5;
gen cpiplusJan2013 = 97.2;
gen cpiplusJan2015 = 99.3;
gen cpiplusJan2017 = 101.2;
replace cpiplus = cpiplus*(cpiplusJan2011/cpiplusJan2017);

gen butype2 = butype;

foreach V in lackres exwork exhlimw {;
replace `V'  = . if `V'<0;
gen `V'0     = `V'b==0 if `V'b>=0;
gen `V'1_39  = `V'b==1 if `V'b>=0;
gen `V'40_60 = `V'b==2 if `V'b>=0;
gen `V'61_99 = `V'b==3 if `V'b>=0;
gen `V'100   = `V'b==4 if `V'b>=0;
};

gen working  = wpactive==1 if wpactive>=0 & worktime~=-8;
gen parttime = worktime==2 if wpactive>=0 & worktime~=-8;
gen fulltime = worktime==1 if wpactive>=0 & worktime~=-8;

/**assigning the mean of the band to the closed and open bands. We do not impute for the completely missings**/
local xlistw1 foodin foodout;
local xlistw2 foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf;
local xlistw3 foodin foodout clothes gaselec gas elec coal para oil wood otherf;
local xlistw4 foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf;
local xlistw5 foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf;
local xlistw6 foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf;
local xlistw7 foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf;
local xlistw8 foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf;

if `W'==2 {;
replace woodl = 0.01    if idauniq==112851;
replace woodu = 9999999 if idauniq==112851;
replace woodt = 4       if idauniq==112851;
};

foreach V in `xlistw`W'' {;

gen `V'i = .;
gen `V'o = .;

egen group = group(`V'l `V'u) if `V't==2|`V't==3;
qui su group;

forval i = 1/`r(max)' {;
qui su `V'l if group==`i';
local min = `r(mean)';
qui su `V'u if group==`i';
local max = `r(mean)';
qui su `V'l if `V'l>=`min' & `V'l<=`max' & `V't==1;
if `r(N)'==0 {;
replace `V'i = `min'+((`max'-`min')/2)  if group==`i' & `V't==2;
replace `V'i = 2*`min'                  if group==`i' & `V't==3;
};
if `r(N)'>0 replace `V'i = `r(mean)'  if group==`i' & `V't==2;
replace `V'o = `r(N)' if group==`i';
};

replace `V'i = `V'l if `V't==1|`V't==0;
replace `V'o = -1 if `V't==1|`V't==0;

drop group;

};

foreach V in `xlistw2'  {;
capture gen `V'i = .;
};

gen fueli = gaseleci + gasi + eleci + coali + parai + oili + woodi + otherfi;

/**base all monetary value in Jan 2015 prices**/
foreach V of varlist
foodini foodouti clothesi leisurei transfersi gaseleci gasi eleci coali parai oili woodi otherfi
empinc_bu_s seinc_bu_s ppinc_bu_s spinc_bu_s beninc_bu_s assinc_bu_s othinc_bu_s totinc_bu_s
eqempinc_bu_s eqseinc_bu_s eqppinc_bu_s eqspinc_bu_s eqbeninc_bu_s eqassinc_bu_s eqothinc_bu_s eqtotinc_bu_s
netfw_bu_s netpw_bu_s nethw_bu_s nettotw_bu_s
 {;
replace `V' = `V'/cpiplus;
};


foreach V in foodin foodout clothes leisure transfers gaselec gas elec coal para oil wood otherf fuel {;
gen eq`V'i = `V'i/hheq;
};

gen tot = 0;
foreach V in `xlistw`W'' {;
replace tot = tot+`V'i;

};


/**work disability**/
gen     workdis = 0 if  hlimwrk==0;
replace workdis = 1 if (hlimwrk==1|hlimwrk==2) & (hlimwrkc==1|hlimwrkc<0);
replace workdis = 2 if (hlimwrk==1|hlimwrk==2) &  hlimwrkc==2;

gen workdis_none = workdis==0 if workdis~=.;
gen workdis_any  = workdis==1 if workdis~=.;
gen workdis_curr = workdis==2 if workdis~=.;

/**alternative def**/

gen     workdis_act = 0 if  hlimwrk==0;
replace workdis_act = 1 if (hlimwrk==1|hlimwrk==2) &  wpactive==0;
replace workdis_act = 2 if (hlimwrk==1|hlimwrk==2) &  wpactive==1 & (hlimwrkc==1|hlimwrkc<0);
replace workdis_act = 3 if (hlimwrk==1|hlimwrk==2) &  wpactive==1 &  hlimwrkc==2;

gen wdis_none      = workdis_act==0 if workdis_act~=.;
gen wdis_inact_any = workdis_act==1 if workdis_act~=.;
gen wdis_act_any   = workdis_act==2 if workdis_act~=.;
gen wdis_act_curr  = workdis_act==3 if workdis_act~=.;


keep if elsa==1;

gen F = 1;

keep idauniq wgt F
empinc_bu_s seinc_bu_s ppinc_bu_s spinc_bu_s beninc_bu_s assinc_bu_s othinc_bu_s totinc_bu_s
eqempinc_bu_s eqseinc_bu_s eqppinc_bu_s eqspinc_bu_s eqbeninc_bu_s eqassinc_bu_s eqothinc_bu_s eqtotinc_bu_s
netfw_bu_s netpw_bu_s nethw_bu_s nettotw_bu_s yq5_bu_s totwq5_bu_s
eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi tot
lackres parttime fulltime working wpactive worktime
pp_mem pp_cont pp_rec pp_rr
exwork exhlimw wdis_* workdis_act
butype ageg7 sex age butype2 spage cpiplus intdatm intdaty;

if `W'==8 replace exwork = . if (age>=60 & sex==2)|(age>=65 & sex==1); /*only age under 60/65 for women/men should be asked this question in w8 but there are a couple of odd observations**/

save xsectionaldata_w`W',replace;

local numagegroup = 7;
local numbugroup  = 3;
local numbugroup2  = 4;
local numsexgroup = 2;
local agegroupdropped = 1;


/**table 1 - Mean (unequivalised) income from each source by age and butype***/
use xsectionaldata_w`W';
local cmd "(mean) empinc_bu_s seinc_bu_s ppinc_bu_s spinc_bu_s beninc_bu_s assinc_bu_s othinc_bu_s totinc_bu_s (count) N = totinc_bu_s (rawsum) F if totinc_bu_s~=. [pw = wgt]";
collapse `cmd', by(butype ageg7);
save `table1a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen butype = 4;
sort ageg7;
save `table1b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype);
gen ageg7 = 0;
save `table1c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen butype = 4;
gen ageg7  = 0;
save `table1d',replace;
use `table1a',replace;
foreach V in 1b 1c 1d {;
append using `table`V'';
};


qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numbugroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numbugroup'+1' {;
replace butype = `i' in `=`currobs'+`i'';
};
sort butype ageg7;


do ../labels.do;
label values butype butypetab;
label values ageg7 ageg7;

save table1,replace;
outsheet using `textdir'\table1w`W'.txt, replace;


/**table 1b - Mean income from each source by age and butype***/
use xsectionaldata_w`W';

local cmd "(mean) eqempinc_bu_s eqseinc_bu_s eqppinc_bu_s eqspinc_bu_s eqbeninc_bu_s eqassinc_bu_s eqothinc_bu_s eqtotinc_bu_s (count) N = eqtotinc_bu_s (rawsum) F  if eqtotinc_bu_s~=. [pw = wgt]";

collapse `cmd', by(sex ageg7);
save `table1ba',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen sex = 3;
save `table1bb',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen ageg7 = 0;
save `table1bc',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen sex = 3;
gen ageg7  = 0;
save `table1bd',replace;
use `table1ba',replace;
foreach V in 1bb 1bc 1bd {;
append using `table`V'';
};

qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numsexgroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numsexgroup'+1' {;
replace sex = `i' in `=`currobs'+`i'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg7;
save table1b,replace;
outsheet using `textdir'\table1bw`W'.txt, replace;

/**table 2 - distribution of total income by age and butype**/
use xsectionaldata_w`W';

local cmd "(mean) meantotinc = totinc_bu_s
           (p10)  p10totinc  = totinc_bu_s
           (p25)  p25totinc  = totinc_bu_s
           (p50)  p50totinc  = totinc_bu_s
           (p75)  p75totinc  = totinc_bu_s
           (p90)  p90totinc  = totinc_bu_s
           (count) N = totinc_bu_s
           (rawsum) F
           if totinc_bu_s~=.
           [pw = wgt]";

collapse `cmd', by(butype ageg7);
save `table2a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen butype = 4;
save `table2b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype);
gen ageg7 = 0;
save `table2c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen butype = 4;
gen ageg7  = 0;
save `table2d',replace;
use `table2a',replace;
foreach V in 2b 2c 2d {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numbugroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numbugroup'+1' {;
replace butype = `i' in `=`currobs'+`i'';
};
sort butype ageg7;

do ../labels.do;
label values butype butypetab;
label values ageg7 ageg7;

save table2,replace;
outsheet using `textdir'\table2w`W'.txt, replace;

/**table 2 - distribution of total income by age and sex**/
use xsectionaldata_w`W';

local cmd "(mean) meantotinc = eqtotinc_bu_s
           (p10)  p10totinc  = eqtotinc_bu_s
           (p25)  p25totinc  = eqtotinc_bu_s
           (p50)  p50totinc  = eqtotinc_bu_s
           (p75)  p75totinc  = eqtotinc_bu_s
           (p90)  p90totinc  = eqtotinc_bu_s
           (count) N = eqtotinc_bu_s
           (rawsum) F
           if eqtotinc_bu_s~=.
           [pw = wgt]";

collapse `cmd', by(sex ageg7);
save `table2ba',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen sex = 3;
save `table2bb',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen ageg7 = 0;
save `table2bc',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen sex = 3;
gen ageg7  = 0;
save `table2bd',replace;
use `table2ba',replace;
foreach V in 2bb 2bc 2bd {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numsexgroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numsexgroup'+1' {;
replace sex = `i' in `=`currobs'+`i'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg7;

save table2b,replace;
outsheet using `textdir'\table2bw`W'.txt, replace;

/**table 3 - mean and median wealth sources by age and family type**/
use xsectionaldata_w`W';

local cmd "(mean) netfw_bu_s   (median) mednetfw_bu_s   = netfw_bu_s
           (mean) netpw_bu_s   (median) mednetpw_bu_s   = netpw_bu_s
           (mean) nethw_bu_s   (median) mednethw_bu_s   = nethw_bu_s
           (mean) nettotw_bu_s (median) mednettotw_bu_s = nettotw_bu_s
           (count) N = nettotw_bu_s
           (rawsum) F
           if nettotw_bu_s~=.
           [pw = wgt]";

collapse `cmd', by(butype ageg7);
save `table3a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen butype = 4;
save `table3b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype);
gen ageg7 = 0;
save `table3c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen butype = 4;
gen ageg7  = 0;
save `table3d',replace;
use `table3a',replace;
foreach V in 3b 3c 3d {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numbugroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numbugroup'+1' {;
replace butype = `i' in `=`currobs'+`i'';
};
sort butype ageg7;

do ../labels.do;
label values butype butypetab;
label values ageg7 ageg7;

save table3,replace;
outsheet using `textdir'\table3w`W'.txt, replace;

/**table 4 - distribution of total wealth by age and butype**/
use xsectionaldata_w`W';

local cmd "(mean) meannettotw = nettotw_bu_s
           (p10)  p10nettotw  = nettotw_bu_s
           (p25)  p25nettotw  = nettotw_bu_s
           (p50)  p50nettotw  = nettotw_bu_s
           (p75)  p75nettotw  = nettotw_bu_s
           (p90)  p90nettotw  = nettotw_bu_s
           (count) N = nettotw_bu_s
           (rawsum) F
           if nettotw_bu_s~=.
           [pw = wgt]";

collapse `cmd', by(butype ageg7);
save `table4a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen butype = 4;
save `table4b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype);
gen ageg7 = 0;
save `table4c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen butype = 4;
gen ageg7  = 0;
save `table4d',replace;
use `table4a',replace;
foreach V in 4b 4c 4d {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numbugroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numbugroup'+1' {;
replace butype = `i' in `=`currobs'+`i'';
};
sort butype ageg7;

do ../labels.do;
label values butype butypetab;
label values ageg7 ageg7;
save table4,replace;
outsheet using `textdir'\table4w`W'.txt, replace;

/**Table 5 private pension membership by age and sex**/

use xsectionaldata_w`W';

local cmd "(mean) pp_mem pp_cont pp_rec pp_rr  (count) N = pp_mem (rawsum) F  if pp_mem~=. &  spage==0 [pw = wgt]"; /*may need to change this as the years go by and there are more people above age 65 who are not above SPA. In Wave 7 there is just one man so don't include him*/

collapse `cmd', by(ageg7 sex);
save `table5a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen sex = 3;
save `table5b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen ageg7 = 0;
save `table5c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen sex = 3;
gen ageg7  = 0;
save `table5d',replace;
use `table5a',replace;
foreach V in 5b 5c 5d {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
if `W'<6  set obs 11;
if `W'>=6 set obs 12;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numsexgroup'+1' {;
replace sex = `i' in `=`currobs'+`i'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg7;

save table5,replace;
outsheet using `textdir'\table5aw`W'.txt, replace;

use xsectionaldata_w`W';

local cmd "(mean) pp_mem pp_cont pp_rec pp_rr  (count) N = pp_mem (rawsum) F  if pp_mem~=. &  spage==0  & wpactive==1 [pw = wgt]";

collapse `cmd', by(ageg7 sex);
save `table5a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen sex = 3;
save `table5b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen ageg7 = 0;
save `table5c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen sex = 3;
gen ageg7  = 0;
save `table5d',replace;
use `table5a',replace;
foreach V in 5b 5c 5d {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
if `W'<6  set obs 11;
if `W'>=6 set obs 12;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numsexgroup'+1' {;
replace sex = `i' in `=`currobs'+`i'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg7;
save table5b,replace;
outsheet using `textdir'\table5bw`W'.txt, replace;


/**Table 6. expenditure***/
local xlistw1 eqfoodini eqfoodouti;
local xlistw2 eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi ;
local xlistw3 eqfoodini eqfoodouti eqclothesi eqfueli;
local xlistw4 eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi;
local xlistw5 eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi;
local xlistw6 eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi;
local xlistw7 eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi;
local xlistw8 eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi;

*local cmd "(mean) `xlistw`W'' (count) N = tot (rawsum) F  if tot~=. [pw = wgt]";
local cmd "(mean) eqfoodini eqfoodouti eqclothesi eqfueli eqleisurei eqtransfersi (count) N = tot (rawsum) F  if tot~=. [pw = wgt]";

use xsectionaldata_w`W';
collapse `cmd', by(butype ageg7);
save `table6a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen butype = 4;
save `table6b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype);
gen ageg7 = 0;
save `table6c',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen butype = 4;
gen ageg7  = 0;
save `table6d',replace;
use `table6a',replace;
foreach V in 6b 6c 6d {;
append using `table`V'';
};
qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numbugroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numbugroup'+1' {;
replace butype = `i' in `=`currobs'+`i'';
};
sort butype ageg7;

do ../labels.do;
label values butype butypetab;
label values ageg7 ageg7;

save table6,replace;
outsheet using `textdir'\table6w`W'.txt, replace;


/**Table 7 - chance of insufficient resources to meet needs, by age and butype**/

use xsectionaldata_w`W';

local cmd "(mean) lackres (count) N = lackres (rawsum) F  if lackres~=. & yq5_bu_s~=. [pw = wgt]";

collapse `cmd', by(butype2 ageg7 yq5_bu_s);
save `table7a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype2 ageg7);
gen yq5_bu_s = 0;
save `table7b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype2 yq5_bu_s);
gen ageg7 = 0;
save `table7c',replace;
use xsectionaldata_w`W';
collapse `cmd', by(butype2);
gen yq5_bu_s = 0;
gen ageg7  = 0;
save `table7d',replace;
use `table7a',replace;
foreach V in 7b 7c 7d {;
append using `table`V'';
};
sort butype2 ageg7;

do ../labels.do;
label values butype2 butype2;
label values ageg7 ageg7;

reshape wide lackres N F, i(ageg7  butype2) j(yq5_bu_s);
drop  N1 N2 N3 N4 N5;
drop  F1 F2 F3 F4 F5;
order  N0 F0, last;

qui count;
local currobs = `r(N)';
set obs `=(`numagegroup'+1)*(`numbugroup'+1)';
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numbugroup'+1' {;
replace butype = `i' in `=`currobs'+`i'';
};
sort butype2 ageg7;
save table7,replace;
outsheet using `textdir'\table7w`W'.txt, replace;

/**table 8 - labour market participation by age and gender  **/

use xsectionaldata_w`W';

local cmd "(mean) parttime fulltime working (count) N = wpactive (rawsum) F  if wpactive>=0 & worktime~=-8 & age<75 & totwq5_bu_s~=. [pw = wgt]";

collapse `cmd', by(sex ageg7 totwq5_bu_s);
save `table8a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex ageg7);
gen totwq5_bu_s = 0;
save `table8b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex totwq5_bu_s);
gen ageg7 = 0;
save `table8c',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7 totwq5_bu_s);
gen sex = 3;
save `table8d',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen totwq5_bu_s = 0;
gen ageg7  = 0;
save `table8e',replace;
use xsectionaldata_w`W';
collapse `cmd', by(ageg7);
gen sex = 3;
gen totwq5_bu_s  = 0;
save `table8f',replace;
use xsectionaldata_w`W';
collapse `cmd', by(totwq5_bu_s);
gen sex = 3;
gen ageg7  = 0;
save `table8g',replace;
use xsectionaldata_w`W';
collapse `cmd';
gen sex = 3;
gen ageg7  = 0;
gen totwq5_bu_s = 0;
save `table8h',replace;

use `table8a',replace;
foreach V in 8b 8c 8d 8e 8f 8g 8h {;
append using `table`V'';
};

do ../labels.do;
label values sex sextab;
label values ageg7 ageg7;
label values totwq5_bu_s wealthq;

reshape wide  parttime fulltime working N F, i(sex ageg) j( totwq5_bu_s);
order  N0 F0, last;

qui count;
local currobs = `r(N)';
set obs 18;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`=`numsexgroup'+1' {;
replace sex = `i' in `=`currobs'+`i'';
};
sort sex ageg7;

save table8,replace;

outsheet sex ageg7 parttime0 fulltime0 working0 working1 working2 working3 working4 working5 N0 F0 using `textdir'\table8w`W'.txt, replace;
outsheet sex ageg7 N1 N2 N3 N4 N5 F1 F2 F3 F4 F5 using `textdir'\table8Nw`W'.txt, replace;

/**Table 9. Expectations of working by age, gender and wealth quintile**/

local cmd "(mean) exwork (count) N = exwork (rawsum) F  if spage==0 & totwq5_bu_s~=. & exwork~=. [pw = wgt]";

use xsectionaldata_w`W';
collapse `cmd', by(sex ageg7 totwq5_bu_s);
save `table9a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex ageg7);
gen totwq5_bu_s = 0;
save `table9b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex totwq5_bu_s);
gen ageg7 = 0;
save `table9c',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen totwq5_bu_s = 0;
gen ageg7 = 0;
save `table9d',replace;
use xsectionaldata_w`W';
use `table9a',replace;
foreach V in 9b 9c 9d {;
append using `table`V'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg4_2;
label values totwq5_bu_s wealthq;

reshape wide  exwork N F, i(ageg7  sex) j(totwq5_bu_s);
*drop  N1 N2 N3 N4 N5;
*drop  F1 F2 F3 F4 F5;
order  N0 F0, last;
qui count;
local currobs = `r(N)';
set obs 7;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`numsexgroup' {;
replace sex = `i' in `=`currobs'+`i'';
};
sort sex ageg7;

save table9,replace;
outsheet sex ageg7 exwork0 exwork1 exwork2 exwork3 exwork4 exwork5 N0 F0 using `textdir'\table9w`W'.txt, replace;
outsheet sex ageg7 N1 N2 N3 N4 N5 F1 F2 F3 F4 F5 using `textdir'\table9Nw`W'.txt, replace;

/**table 10 **/
if `W'>=2 {;

if `W'~=6 local cmd "(mean) wdis_none wdis_inact wdis_act_any wdis_act_curr (count) N = workdis_act (rawsum) F  if workdis_act~=. & totwq5_bu_s~=. & spage==0 [pw = wgt]";
if `W'==6 local cmd "(mean) wdis_none wdis_inact wdis_act_any wdis_act_curr (count) N = workdis_act (rawsum) F  if workdis_act~=. & totwq5_bu_s~=. & spage==0 & ~(sex==2 & ageg7==3) [pw = wgt]";

use xsectionaldata_w`W';
collapse `cmd', by(sex ageg7 totwq5_bu_s);
save `table10a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex ageg7);
gen totwq5_bu_s = 0;
save `table10b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex totwq5_bu_s);
gen ageg7 = 4;
save `table10c',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen totwq5_bu_s = 0;
gen ageg7 = 4;
save `table10d',replace;
use xsectionaldata_w`W';
use `table10a',replace;
foreach V in 10b 10c 10d {;
append using `table`V'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg4;
label values totwq5_bu_s wealthq;

qui count;
local currobs = `r(N)';
if `W'<=6 {;
set obs 42;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 31/36 {;
replace sex = 1 in `i';
};
forval i = 37/42 {;
replace sex = 2 in `i';
};
};
if `W'>=7 {;
set obs 48;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 37/42 {;
replace sex = 1 in `i';
};
forval i = 43/48 {;
replace sex = 2 in `i';
};
};

sort sex ageg7 totwq5_bu_s;
save table10,replace;

outsheet using `textdir'\table10w`W'.txt, replace;
};


/**Table 11 - expectations of health limiting ability to work at age 65**/
use xsectionaldata_w`W';
local cmd "(mean) exhlimw (count) N = exhlimw (rawsum) F  if age<65 & totwq5_bu_s~=. & exhlimw~=. [pw = wgt]";

collapse `cmd', by(sex ageg7 totwq5_bu_s);
save `table11a',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex ageg7);
gen totwq5_bu_s = 0;
save `table11b',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex totwq5_bu_s);
gen ageg7 = 0;
save `table11c',replace;
use xsectionaldata_w`W';
collapse `cmd', by(sex);
gen totwq5_bu_s = 0;
gen ageg7 = 0;
save `table11d',replace;
use xsectionaldata_w`W';
use `table11a',replace;
foreach V in 11b 11c 11d {;
append using `table`V'';
};
sort sex ageg7;

do ../labels.do;
label values sex sextab;
label values ageg7 ageg4_2;
label values totwq5_bu_s wealthq;

reshape wide  exhlimw N F, i(ageg7  sex) j(totwq5_bu_s);
*drop  N1 N2 N3 N4 N5;
*drop  F1 F2 F3 F4 F5;
order  N0 F0, last;

qui count;
local currobs = `r(N)';
set obs 8;
replace ageg7 = `agegroupdropped' if ageg7==.;
forval i = 1/`numsexgroup' {;
replace sex = `i' in `=`currobs'+`i'';
};

sort sex ageg7;
save table11,replace;
outsheet sex ageg7 exhlimw0 exhlimw1 exhlimw2 exhlimw3 exhlimw4 exhlimw5 N0 F0 using `textdir'\table11w`W'.txt, replace;
outsheet sex ageg7 N1 N2 N3 N4 N5 F1 F2 F3 F4 F5 using `textdir'\table11Nw`W'.txt, replace;

};
